Bug 2040821 - Please branch and build python-sphinx-theme-py3doc in epel9
Summary: Please branch and build python-sphinx-theme-py3doc in epel9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-sphinx-theme-py3doc-enhanced
Version: epel9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Scott K Logan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2040824
TreeView+ depends on / blocked
 
Reported: 2022-01-14 18:45 UTC by Paul Howarth
Modified: 2022-06-09 00:41 UTC (History)
3 users (show)

Fixed In Version: python-sphinx-theme-py3doc-enhanced-2.4.0-2.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-09 00:41:32 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Fedora Pagure releng/fedora-scm-requests issue 44703 0 None None None 2022-05-30 17:04:07 UTC
Fedora Pagure releng issue 10813 0 None None None 2022-05-27 20:15:19 UTC

Description Paul Howarth 2022-01-14 18:45:28 UTC
Please branch and build python-sphinx-theme-py3doc in epel9.

This is needed for the build of python-fields.

Comment 1 Scott K Logan 2022-04-11 19:26:18 UTC
Hi Julien, is there anything I can do to help move this along? Looks like the current rawhide branch builds cleanly against EPEL 9 without any changes: https://koji.fedoraproject.org/koji/taskinfo?taskID=85503477

If maintenance and/or testing is a concern, please consider adding me (cottsay) as an EPEL-only co-maintainer of this package.

Thanks!

Comment 2 Scott K Logan 2022-05-25 15:22:58 UTC
Hello Julien, it's been a a month since my last ping. I'd really like to see this package in EPEL 9. If you don't have time to branch and build the package, could you please consider adding me (cottsay) as an EPEL-only co-maintainer of this package?

Comment 3 chedi toueiti 2022-05-25 16:00:28 UTC
@scott

sorry to butt in, I'm one of the maintainers of pytest-cov depending on fields blocked by this package.

going by the package commit log Julien has not been active in the last 5 years, so I think it's reasonable to assume that he is no longer maintaining it. I propose initiating a "Non responding maintainer procedure". 

https://docs.fedoraproject.org/en-US/fesco/Policy_for_nonresponsive_package_maintainers/

You can also patch the field package to use another sphinx theme if you are inclined or conditionnaly disable the fields documentation package in the Epel branch.

Comment 4 Scott K Logan 2022-05-27 20:15:19 UTC
Thanks, Chedi

Since we're asking for an EPEL branch here, I'm going to initiate the "stalled EPEL request" procedure instead because I think it's a little quicker.

Comment 5 Fedora Update System 2022-05-31 16:31:49 UTC
FEDORA-EPEL-2022-17c162f805 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-17c162f805

Comment 6 Fedora Update System 2022-06-01 03:10:36 UTC
FEDORA-EPEL-2022-17c162f805 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-17c162f805

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-06-09 00:41:32 UTC
FEDORA-EPEL-2022-17c162f805 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.